std::is_swappable< _Tp >(3cxx)

NAME
std::is_swappable< _Tp > - Metafunctions used for detecting swappable types: p0185r1.

SYNOPSIS

#include <type_traits>

Inherits __is_swappable_impl::type.

Detailed Description

  template<typename _Tp>
struct std::is_swappable< _Tp >"Metafunctions used for detecting swappable types: p0185r1.

is_swappable

Author

Generated automatically by Doxygen for libstdc++ from the source code.